## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# imesh/haze.h File Reference

Haze mesh object. More...

`#include "csutil/scf.h"`

Go to the source code of this file.

## Classes

struct | iHazeFactoryState
| This interface describes the API for the sprite factory mesh object. More...
struct | iHazeHull
| A mesh specially meant for use by the haze. More...
struct | iHazeHullBox
| A predefined hull. More...
struct | iHazeHullCone
| A predefined hull. More...
struct | iHazeHullCreation
| This interface is implemented by the haze factory in order to be able to create the predefined haze hulls. More...
struct | iHazeState
| This interface describes the API for the sprite factory mesh object. More...

## Detailed Description

Haze mesh object.

Definition in file haze.h.